<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		christian.rodriguez
@version		1.0
@CU 			test CU-SA-AC-022 Generar Reporte de Control de Calidad
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::test page for CU-SA-AC-021 Consultar informe correcciones al protocolo::.
    </ui:define>

    <ui:define name="content">

        <h:form>
            <p:commandLink value="Consultar informe correcciones al protocolo"
                           immediate="true"
                           action="#{testsAvaluos.cargarConsultaInformeCorreccionesAlProtocoloCU021}"
                           update=":consultarInformeCorreccionesAlProtocoloForm"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide();
                           consultarInformeCorreccionesProtocoloWV.show();"
                           styleClass="commandLinkStyle">
            </p:commandLink>
        </h:form>

        <!-- ...................... dialogs  ................................... -->
        <p:dialog header="Consultar informe correcciones al protocolo"
                  widgetVar="consultarInformeCorreccionesProtocoloWV"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="900">
            <ui:include
                src="/avaluos/controlCalidad/consultarInformeCorreccionesAlProtocolo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <ui:include src="../../util/visorGeografico.xhtml" />

    </ui:define>


</ui:composition>